.container {
  display: flex;
  flex-wrap: wrap; /* Enable wrapping */
  justify-content: center; /* Center cards on the screen */
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  padding: 20px;
}

.card {
    display: flex;
    flex-direction: column; /* Stack content vertically */
    align-items: center; /* Center-align the content */
    max-width: 300px; /* Limit the maximum width of each card */
    width: 100%; /* Allow cards to shrink/grow */
    padding: 16px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    background-color: #fff;
    transition: transform 0.3s ease;
    //height: 60vh;
  }

  /* Image styles */
.card img {
    max-width: 100%; /* Ensure the image doesn't exceed the card width */
    height: auto; /* Maintain aspect ratio */
    border-radius: 4px;
    margin-bottom: 16px;
  }

.card:hover {
  transform: translateY(-5px);
}

/* Card title and subtitle */
.card-title {
    font-size: 1.2rem;
    font-weight: bold;
    margin-bottom: 8px;
    text-align: center;
  }

.card-subtitle {
    font-size: 1rem;
    color: #555;
    margin-bottom: 16px;
    text-align: center;
  }

.card-description {
  font-size: 1rem;
  line-height: 1.5;
  color: #333;
}

/* Card metadata */
.card-meta {
    font-size: 0.9rem;
    color: #777;
    margin-bottom: 12px;
    text-align: center;
  }

.card-meta a:hover {
  text-decoration: underline;
}

a[mat-raised-button] {
  position: relative;
  transition: background-color 0.3s ease;
  margin: auto;

  &:hover {
    background-color: var(--active-link-bg-color);
    color: black; // Optional: Adjust the text color for better contrast
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);
  }
}
